Loading...
Searching...
No Matches
usermgmt::UserInfo Struct Reference

User information More...

## Public Attributes

boolean | enabled
| `true` if the account is enabled
boolean | locked
| `true` if the account cannot be deleted
boolean | blocked
| `true` if the account is blocked due to failed logins
boolean | needPasswordChange
| `true` to force a password change on the next login
AuxInfo | auxInfo
| Auxiliary user information.
SnmpV3Settings | snmpV3Settings
| SNMPv3 settings.
string | sshPublicKey
| Public key for SSH access.
Preferences | preferences
| User preferences
vector< int > | roleIds
| List of role ids for this account.

## Detailed Description

User information

The documentation for this struct was generated from the following file:

- User.idl